Subject: [I18ndir] Directorate consensus, summary review of draft-faltstrom-unicode11, and future of the directorate

From: John C Klensin <[email-masked]>
Date: Fri, 01 Mar 2019 15:41:29 -0500

Hi.

I'm wondering where we stand on several issues that seem to me
at least partially interrelated.

First, my understanding coming into this directorate plan was
that we were supposed to be a mechanism for examining issues,
discussing them with each other and educating each other,
reaching some sort of consensus that is well-informed both
technologically and strategically on that basis, and then
reporting that consensus to the ADs, relevant WGs, and, for IETF
Last Calls, the IESG and the community.  The experience so far
with draft-faltstrom-unicode11 (something had to go first) does
not lead to optimism about that approach: we've had a few
statements from individuals that have not led to discussion and
a great deal of discussion (almost entirely between Asmus and
myself) that has, at a high level, revisited principles that I
believe (or believed earlier) to be fairly widely understood
and, at a lower level, topics about which IETF involvement is
(or should be) wildly controversial or that were settled much
earlier without clear arguments about why they should be
reopened, and that are independent of details about possible
solutions (which we've also ended up discussing).

A question I asked at the beginning was whether it was
reasonable to try to approve and post draft-faltstrom-unicode11
without addressing questions of its relationships to other
issues and proposals.  Both Pete and Peter suggested people
address that question.  AFAICT, other than a few assertions that
having IANA tables badly out of synch with Unicode versions was
causing serious harm and that we needed to get on with it
regardless of the risk of creating problems we've have to either
live with or clean up later, there has been almost no discussion
on that topic.  I've made a few suggestions about text we might
insert into draft-faltstrom-unicode11 to clarify its role and
mitigate damage and have argued for pushing forward with an
updated version of draft-klensin-idna-rfc5891bis to reinforce
part of that strategy and clarify the relationship of the lists
implied by RFC 5892 and updated by draft-faltstrom.   Neither of
those ideas has gotten any real discussion either (I don't think
Asmus and I arguing about finer points counts).   And, while
I've offered to write some text (or review text drafted by
others) if there was agreement that doing so would be helpful,
I've seen no evidence of such agreement (or, for that matter,
disagreement) nor have I seen a draft of a -08 from Patrik.   Of
course, if we are going to write and recommend such text, we
should do so early enough to make it into Harald's summary
review and we are clearly running out of time for that.

Harald's note asking for help in concluding the review was sent
on 18 February, two weeks ago Monday. There has been no obvious
response other than a few notes from Asmus and myself.  The IETF
LC closes on Tuesday.  If Harald posts a draft tonight or over
the weekend, it is unlikely that there will be sufficient time
for the directorate to review and refine it sufficiently to
allow a serious claim about directorate consensus.  

In the meantime, we've seen another document popped into the
queue, this time with a two-week IETF LC cutoff, one that, if we
are going to try to produce an informed review _as a
directorate_ is going to require a very specialized combination
of expertise and collective education, and, despite a volunteer
to write such a review, we've seen no directorate discussion of
the subject matter either.  Maybe that is "yet" and I should not
be extrapolating, but the picture does not look encouraging.

So, 

(1) Are we going to produce an informed consensus review and set
of recommendations about draft-faltstrom and, if so, how are we
going to do that before sometime Tuesday?  If we are not, then
at least a few of us should be working on and posting IETF LC
comments (contrary to the suggestion that the right way to have
discussions and make comments was within the directorate and on
this list).

(2) Independent of whether the issues they represent justify
some delay in processing and approving draft-faltstrom, do we
have a plan about addressing the issues raised by those other
documents (or responded to by them) or a plan about making such
a plan?   Or does even the plan-making activity get delayed
until we run out of documents being pushed into IETF LC and
hence creating hard deadlines?

(3) Is the relative lack of actual discussion -- discussion that
could lead to a real, and informed, directorate consensus -- by
a significant majority of the members of the directorate
indicate that there is something special about
draft-faltstrom-unicode11 (if so, what is it?) or that the idea
of using this sort of directorate model is not really viable?
If the latter, do others have better ideas?   Or is it time to
start adjusting expectations --both inside the IETF community
and externally-- downward about what the IETF can actually do
with i18n-related topics?

best,
    john

---

From: Harald Alvestrand <[email-masked]>
Date: Sat, 02 Mar 2019 09:38:02 +0100

Thanks for the reminder of deadlines. What is the name of the new doc?

Wrt expectations, I think they are pretty low at the moment, so any real movement will be a positive change. 

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.

---

From: John C Klensin <[email-masked]>
Date: Sat, 02 Mar 2019 09:16:02 -0500

> Thanks for the reminder of deadlines. What is the name of the

I was referring to draft-ietf-dmarc-eaiauth-02.  IETF LC ends on
14 March.  It is relevant to your work on draft-faltstrom only
insofar as it puts one more item on the directorate's plate,
presumably lowering the motivation to get to more strategic
discussions and there documents because of the relatively short
fixed deadline ... unless we are really dropping the
"directorate" idea in favor of "review team".

It potentially affects you because, assuming you kept up with
what the WG actually did after you and Xiaodong stepped down,
you are one of the few people in the directorate with the
knowledge to review both the SMTP, mail operations, and
SMTPUTF8/EAI implications of that document.

> Wrt expectations, I think they are pretty low at the moment,
> so any real movement will be a positive change. 

Yes.  But, fwiw, I would not consider getting a review out that
does not reflect an informed clear consensus of the directorate
to be "real movement".  Your getting involved in review-writing
moves us ahead from the recent IETF average of review teams
because you have a personal in-depth understanding of the
subject matter.  But that type of personal review could have
been obtained by some aggressive arm-twisting and did not
require the directorate structure and all the time and pain that
went into getting it established.

YMMD.

   john

Bu

---

From: Martin J. Dürst <[email-masked]>
Date: Mon, 4 Mar 2019 09:11:30 +0000

Hello John,

On 2019/03/02 05:41, John C Klensin wrote:
> Last Calls, the IESG and the community.

That would be great, but it will take time. And in some cases, we might 
have to agree to disagree, or some of us might be in the rough.

> The experience so far

I have tried to prioritize my own reviews, but I have now read quite a 
few of the mails.

One of my impressions here is that sometimes less may be more, to give 
others a chance to write, too, rather than having to spend most time on 
reading.

> address that question.

I have tried to address it. I think we should ship 
draft-faltstrom-unicode11 without any specifics about what other 
proposals might be worked on next (because we don't know that yet), but 
without precluding, or giving the impression we are precluding, such 
proposals. Which again doesn't mean that any such proposal actually will 
happen.

> AFAICT, other than a few assertions that
> on that topic.

We are not creating new problems. It may be fair to say that we (only so 
slightly) increase existing problems.

> I've made a few suggestions about text we might
> insert into draft-faltstrom-unicode11 to clarify its role

I have done so, too.

> and

It would probably be more productive if you sent actual text. That would 
make it much easier for others to agree or disagree. It's also the way 
the IETF works, most of the time.

> response other than a few notes from Asmus and myself.

Sorry, but have you had a look at
https://mailarchive.ietf.org/arch/msg/i18ndir/5nGFqhvgqjF5AbNPnMBaxjQ-Lik

> The IETF

Given that it has taken the IETF several years to get to the point we 
are at, I'm not expecting a happy consensus in a few days, but I also 
wouldn't expect it in a few weeks. Maybe the best Harald can do is 
collect the opinions he received.

> of expertise and collective education,

Having done that review, I'm not actually sure it requires such expertise.

Having done scores of i18n reviews in the past, I unfortunately know 
that such expertise is usually a luxury.

Of course, I do not want to imply that my review cannot be improved 
upon, quite the contrary.

> and, despite a volunteer

Maybe there's no need for such a discussion. Maybe the discussion will 
start with my review.

If there's one point that we might discuss, it might be the question of 
whether SPF and friends should be updated to use UTF-8 internally 
(rather than punycode). The current draft doesn't do any of this, and in 
my opinion, that's a reasonable way to go because these technologies are 
not user-facing, and I'd rather speed up adoption of EAI in 
SMTP/POP/IMAP than requiring more of the infrastructure to be updated 
and therewith creating more drag on EAI deployment.

But somebody else's mileage may vary.

> discussions and make comments was within the directorate and on

If necessary, I'll also send my review/comments to the IETF list, thanks 
for the reminder.

> hence creating hard deadlines?

What about just preparing your document(s?) the way you would like them 
to be, and then ask for a review/comments on this list, once we are done 
with fraft-faltstrom-unicode-11? If we work on something like "consensus 
for a plan for a plan", we might never get anywhere.

> with i18n-related topics?

Communities don't get created by fiat, or with detailed plans. And 
consensus doesn't get established that way either.

Regards,   Martin.